Subject: Re: [PATCH] Expose Peak USB device id in sysfs via phys_port_name.

From: Pavel Skripkin <[email-masked]>
Date: Wed, 21 Jul 2021 15:52:40 +0300

On Wed, 21 Jul 2021 14:40:47 +0200
Andre Naujoks <[email-masked]> wrote:

> The Peak USB CAN adapters can be assigned a device id via the Peak
> provided tools (pcan-settings). This id can currently not be set by
> the upstream kernel drivers, but some devices expose this id already.
> 
> The id can be used for consistent naming of CAN interfaces regardless
> of order of attachment or recognition on the system. The classical
> CAN Peak USB adapters expose this id via bcdDevice (combined with
> another value) on USB-level in the sysfs tree and this value is then
> available in ID_REVISION from udev. This is not a feasible approach,
> when a single USB device offers more than one CAN-interface, like
> e.g. the PCAN-USB Pro FD devices.
> 
> This patch exposes those ids via the, up to now unused, netdevice
> sysfs attribute phys_port_name as a simple decimal ASCII
> representation of the id. phys_port_id was not used, since the
> default print functions from net/core/net-sysfs.c output a
> hex-encoded binary value, which is overkill for a one-byte device id,
> like this one.

Hi, Andre!

You should add Signed-off-by tag to the patch

With regards,
Pavel Skripkin